### R code from vignette source 'ordinal-retinopathy1.Rnw'

###################################################
### code chunk number 1: ordinal-retinopathy1.Rnw:13-15
###################################################
options(width=60)
rm(list=ls(all=TRUE))


###################################################
### code chunk number 2: ordinal-retinopathy1.Rnw:18-21
###################################################
library(catdata)
data(retinopathy)
retinopathy$SM <- as.factor(retinopathy$SM)


###################################################
### code chunk number 3: ordinal-retinopathy1.Rnw:29-32
###################################################
library(VGAM)
# retinopathy$RET <- as.ordered(retinopathy$RET)
# retinopathy$SM <- as.factor(retinopathy$SM)


###################################################
### code chunk number 4: ordinal-retinopathy1.Rnw:38-40
###################################################
pom <- vglm(RET ~ SM + DIAB + GH + BP, family = cumulative(parallel=TRUE), 
            data = retinopathy)


###################################################
### code chunk number 5: ordinal-retinopathy1.Rnw:43-45
###################################################
ppom <- vglm(RET ~ SM + DIAB + GH + BP, family = cumulative(parallel=FALSE), 
             data = retinopathy)


###################################################
### code chunk number 6: ordinal-retinopathy1.Rnw:50-51
###################################################
deviance(pom)


###################################################
### code chunk number 7: ordinal-retinopathy1.Rnw:54-55
###################################################
deviance(ppom)


###################################################
### code chunk number 8: ordinal-retinopathy1.Rnw:60-61
###################################################
1 - pchisq(deviance(pom) - deviance(ppom), df=4)


###################################################
### code chunk number 9: ordinal-retinopathy1.Rnw:68-69
###################################################
summary(pom)


###################################################
### code chunk number 10: ordinal-retinopathy1.Rnw:74-75
###################################################
summary(ppom)


###################################################
### code chunk number 11: ordinal-retinopathy1.Rnw:86-89
###################################################
ppom2 <- vglm (RET ~ SM + DIAB + GH + BP,
family = cumulative (parallel = FALSE ~ SM + DIAB + GH), data = retinopathy)
deviance(ppom2)


###################################################
### code chunk number 12: ordinal-retinopathy1.Rnw:92-93
###################################################
1-pchisq(deviance(ppom2)-deviance(ppom), df=1)


###################################################
### code chunk number 13: ordinal-retinopathy1.Rnw:98-101
###################################################
ppom3 <- vglm (RET ~ SM + DIAB + GH + BP, 
family = cumulative (parallel = FALSE ~ SM + DIAB), data = retinopathy)
deviance(ppom3)


###################################################
### code chunk number 14: ordinal-retinopathy1.Rnw:104-105
###################################################
1-pchisq(deviance(ppom3)-deviance(ppom2), df=1)


###################################################
### code chunk number 15: ordinal-retinopathy1.Rnw:109-112
###################################################
ppom4 <- vglm (RET ~ SM + DIAB + GH + BP, 
family = cumulative (parallel = FALSE ~ SM), data = retinopathy)
deviance(ppom4)


###################################################
### code chunk number 16: ordinal-retinopathy1.Rnw:115-116
###################################################
1-pchisq(deviance(ppom4)-deviance(ppom3), df=1)


###################################################
### code chunk number 17: ordinal-retinopathy1.Rnw:120-121
###################################################
1-pchisq(deviance(pom)-deviance(ppom4), df=1)


###################################################
### code chunk number 18: ordinal-retinopathy1.Rnw:124-125
###################################################
detach(package:VGAM)


